import { request } from "@/utils/request.js";

export const getFoodTypes = (data) => {
  return request({
    url: "/wechat/foodProject/restaurantTypeList",
    method: "GET",
    data,
  });
};

export const getRestaurants = (data) => {
  return request({
    url: "/wechat/foodProject/restaurantInfoList",
    method: "GET",
    data,
  });
};

export const getRestaurantsDetail = (data) => {
  return request({
    url: "/wechat/foodProject/restaurantInfoById",
    method: "GET",
    data,
  });
};

export const getRestaurantsFoodTypes = (data) => {
  return request({
    url: "/wechat/foodProject/restaurantFoodTypeList",
    method: "GET",
    data,
  });
};
export const getRestaurantsFoods = (data) => {
  return request({
    url: "/wechat/foodProject/restaurantFoodList",
    method: "GET",
    data,
  });
};
export const getCartList = (data) => {
  return request({
    url: "/wechat/foodProject/foodCartList",
    method: "GET",
    data,
  });
};

export const changeCard = (data) => {
  return request({
    url: "/wechat/foodProject/foodCartChange",
    method: "GET",
    data,
  });
};

export const createOrder = (data) => {
  return request({
    url: "/wechat/delivery/order/createOrder",
    method: "POST",
    data,
  });
};

export const getOrderList = (data) => {
  return request({
    url: "/wechat/delivery/order/orderList",
    method: "GET",
    data,
  });
};

export const getOrderDetail = (data) => {
  return request({
    url: "/wechat/delivery/order/orderDetail",
    method: "GET",
    data,
  });
};
