export function useAuth() {

  function setToken(newToken) {
    try {
      uni.setStorageSync('token', newToken);
    } catch (e) {
      console.error('设置 token 失败', e);
    }
  }

  function getToken() {
    return uni.getStorageSync('token') || '';
  }

  function gotoLogin() {
    // 
  }

  return { gotoLogin, setToken, getToken };
}